from collections import namedtuple

conv2ntuple = lambda fields: namedtuple('namedtuple', fields)(*fields)

MessageFieldsConstants = conv2ntuple(['data', 'error', 'metrics', 'alerts', 'destination'])

VALID_ACTOR_TYPES  = conv2ntuple(['reducer', 'mapper', 'dispatcher', 'metrics_reducer'])

